define(["require", "exports", "tslib", "react", "@fluentui/react/lib/Styling", "@fluentui/react/lib/Utilities", "./consts"], function (require, exports, tslib_1, React, Styling_1, Utilities_1, consts_1) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.TypeScriptSnippet = void 0;
    React = tslib_1.__importStar(React);
    // react-syntax-highlighter has typings, but they're wrong aside from the props and missing many paths...
    /* eslint-disable @typescript-eslint/no-explicit-any */
    var SyntaxHighlighter = require('react-syntax-highlighter/dist/esm/prism-light').default;
    var ts = require('react-syntax-highlighter/dist/esm/languages/prism/tsx').default;
    var style = require('react-syntax-highlighter/dist/styles/prism/vs').default;
    /* eslint-enable @typescript-eslint/no-explicit-any */
    // Register languages
    SyntaxHighlighter.registerLanguage('tsx', ts);
    // Customize the styles, including to match the colors from Monaco
    // (because that looks better but also because Monaco's colors are more accesssible)
    // https://github.com/conorhastings/react-syntax-highlighter/blob/master/src/styles/prism/vs.js
    var colorMap = {
        '#2b91af': '#008080', // class name
        '#36acaa': '#09885a', // number
        '#ff0000': '#ee0000', // attrs, various (not from monaco)
        '#393a34': '#000000', // operators, function names
    };
    var codeStyle = {
        fontFamily: consts_1.CODE_FONT_FAMILY,
        fontSize: '12px', // matches Monaco
        color: 'black',
        lineHeight: '1.6',
        border: 'none',
        margin: 0,
    };
    for (var _i = 0, _a = Object.keys(style); _i < _a.length; _i++) {
        var key = _a[_i];
        // No extra background colors or italics
        delete style[key].background;
        delete style[key].backgroundColor;
        delete style[key].fontStyle;
        if (key.indexOf('::') !== -1 || key.indexOf(':not(pre) > code') === 0 || key === 'code[class*="language-css"]') {
            // delete special selection styles, inline code styles, and special CSS styles
            delete style[key];
        }
        else if (key.indexOf('code[') === 0) {
            style[key] = tslib_1.__assign(tslib_1.__assign({}, style[key]), codeStyle);
        }
        else if (key.indexOf('pre[') === 0) {
            style[key] = tslib_1.__assign(tslib_1.__assign(tslib_1.__assign({}, style[key]), codeStyle), { padding: '6px 20px', background: 'white' });
        }
        else {
            // correct text colors (convert to lowercase due to inconsistent casing)
            var color = (style[key].color || '').toLowerCase();
            if (colorMap[color]) {
                style[key].color = colorMap[color];
            }
        }
    }
    var rootClass = (0, Styling_1.mergeStyles)({
        maxHeight: 400,
    });
    /** TypeScript code snippet with a theme similar to Monaco's VS light. */
    var TypeScriptSnippet = function (props) {
        return (React.createElement(SyntaxHighlighter, { className: (0, Utilities_1.css)(rootClass, props.className), language: "tsx", style: style }, props.children));
    };
    exports.TypeScriptSnippet = TypeScriptSnippet;
});
//# sourceMappingURL=TypeScriptSnippet.js.map