define(["require", "exports", "@fluentui/react/lib/Utilities"], function (require, exports, Utilities_1) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.getQueryParam = void 0;
    /**
     * Gets a query parameter value
     * @param name Query parameter name
     * @param url URL (defaults to window.location.href)
     */
    function getQueryParam(name, url) {
        var win = (0, Utilities_1.getWindow)();
        url = url || (win ? win.location.href : '');
        // Manually get the query string in case it's after the hash (possible with hash routing)
        var queryIndex = url.indexOf('?');
        // eslint-disable-next-line @typescript-eslint/no-deprecated
        var query = queryIndex !== -1 ? url.substr(queryIndex) : '';
        var regex = new RegExp("[?&]".concat(name, "(=([^&#]*)|&|#|$)"));
        var match = query.match(regex);
        if (match) {
            return decodeURIComponent((match[2] || '').replace(/\+/g, ' '));
        }
        return null;
    }
    exports.getQueryParam = getQueryParam;
});
//# sourceMappingURL=getQueryParam.js.map