define(["require", "exports", "@fluentui/react/lib/Utilities", "@fluentui/monaco-editor/lib/configureEnvironment", "../transpiler/exampleParser", "./settings"], function (require, exports, Utilities_1, configureEnvironment_1, exampleParser_1, settings_1) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.isEditorSupported = void 0;
    function isEditorSupported(code, supportedPackages, propValue) {
        var win = (0, Utilities_1.getWindow)();
        // The editor won't work at all unless:
        // - Not server-side rendering
        // - Required environment config available
        // - Web worker available
        if (!(win && (0, configureEnvironment_1.isConfigAvailable)() && typeof Worker !== 'undefined')) {
            return false;
        }
        // The setting to force attempting to load the editor or not overrides preferred conditions
        var useEditor = (0, settings_1.getSetting)('useEditor');
        if (useEditor) {
            return useEditor !== '0';
        }
        // Preferred conditions
        return (
        // Respect prop disabling the editor
        propValue !== false &&
            // Not IE 11 ()
            !(0, Utilities_1.isIE11)() &&
            // No immediate issues detected in example (or exceptions thrown from parsing)
            (0, exampleParser_1.isExampleValid)(code, supportedPackages));
    }
    exports.isEditorSupported = isEditorSupported;
});
//# sourceMappingURL=isEditorSupported.js.map