"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EditorError = void 0;
var tslib_1 = require("tslib");
var React = tslib_1.__importStar(require("react"));
var MessageBar_1 = require("@fluentui/react/lib/MessageBar");
var Styling_1 = require("@fluentui/react/lib/Styling");
var indent = 15;
var lineClass = (0, Styling_1.mergeStyles)({
    marginLeft: indent,
    paddingLeft: indent,
    textIndent: "-".concat(indent, "px"),
});
var indentedLineClass = (0, Styling_1.mergeStyles)(lineClass, { marginLeft: indent * 2 });
/** Display a message bar with an error. If there's no error, returns null. */
var EditorError = function (props) {
    var error = props.error;
    var errorArr = !error ? [] : Array.isArray(error) ? error : error.split('\n');
    return errorArr.length ? (React.createElement(MessageBar_1.MessageBar, { messageBarType: MessageBar_1.MessageBarType.error, truncated: true, 
        // eslint-disable-next-line @typescript-eslint/no-deprecated
        overflowButtonAriaLabel: "Show more" },
        "There ",
        errorArr.length === 1 ? 'is an error' : 'are errors',
        " preventing the code from being rendered:",
        errorArr.map(function (err) {
            return (React.createElement("div", { key: err, className: /^  +/.test(err) ? indentedLineClass : lineClass }, err.trim()));
        }))) : null;
};
exports.EditorError = EditorError;
//# sourceMappingURL=EditorError.js.map