"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.App = void 0;
var tslib_1 = require("tslib");
var react_1 = tslib_1.__importDefault(require("react"));
var react_2 = require("@fluentui/react");
var react_hooks_1 = require("@fluentui/react-hooks");
var EditorWrapper_1 = require("../components/EditorWrapper");
var index_1 = require("../utilities/index");
var example = require('!raw-loader?esModule=false!../transpiler/examples/class.txt');
var classNames = (0, react_2.mergeStyleSets)({
    component: {
        border: '1px solid lightgray',
    },
    preview: {
        paddingTop: 20,
    },
});
var width = 800;
var App = function () {
    var _a = (0, react_hooks_1.useBoolean)(true), useEditor = _a[0], toggleUseEditor = _a[1].toggle;
    return (react_1.default.createElement(react_2.Stack, { styles: { root: { width: width, margin: '0 auto' } }, tokens: { childrenGap: 20 } },
        react_1.default.createElement("h1", null, "Typescript + React editor"),
        react_1.default.createElement(react_2.Toggle, { inlineLabel: true, label: "Use editor", checked: useEditor, onChange: toggleUseEditor }),
        react_1.default.createElement(EditorWrapper_1.EditorWrapper, { code: example, editorClassName: classNames.component, previewProps: { className: classNames.preview }, useEditor: useEditor, supportedPackages: index_1.SUPPORTED_PACKAGES })));
};
exports.App = App;
//# sourceMappingURL=App.js.map