import * as React from 'react';
import { MessageBar, MessageBarType } from '@fluentui/react/lib/MessageBar';
import { mergeStyles } from '@fluentui/react/lib/Styling';
var indent = 15;
var lineClass = mergeStyles({
    marginLeft: indent,
    paddingLeft: indent,
    textIndent: "-".concat(indent, "px"),
});
var indentedLineClass = mergeStyles(lineClass, { marginLeft: indent * 2 });
/** Display a message bar with an error. If there's no error, returns null. */
export var EditorError = function (props) {
    var error = props.error;
    var errorArr = !error ? [] : Array.isArray(error) ? error : error.split('\n');
    return errorArr.length ? (React.createElement(MessageBar, { messageBarType: MessageBarType.error, truncated: true, 
        // eslint-disable-next-line @typescript-eslint/no-deprecated
        overflowButtonAriaLabel: "Show more" },
        "There ",
        errorArr.length === 1 ? 'is an error' : 'are errors',
        " preventing the code from being rendered:",
        errorArr.map(function (err) {
            return (React.createElement("div", { key: err, className: /^  +/.test(err) ? indentedLineClass : lineClass }, err.trim()));
        }))) : null;
};
//# sourceMappingURL=EditorError.js.map