import React from 'react';
import { mergeStyleSets, Stack, Toggle } from '@fluentui/react';
import { useBoolean } from '@fluentui/react-hooks';
import { EditorWrapper } from '../components/EditorWrapper';
import { SUPPORTED_PACKAGES } from '../utilities/index';
var example = require('!raw-loader?esModule=false!../transpiler/examples/class.txt');
var classNames = mergeStyleSets({
    component: {
        border: '1px solid lightgray',
    },
    preview: {
        paddingTop: 20,
    },
});
var width = 800;
export var App = function () {
    var _a = useBoolean(true), useEditor = _a[0], toggleUseEditor = _a[1].toggle;
    return (React.createElement(Stack, { styles: { root: { width: width, margin: '0 auto' } }, tokens: { childrenGap: 20 } },
        React.createElement("h1", null, "Typescript + React editor"),
        React.createElement(Toggle, { inlineLabel: true, label: "Use editor", checked: useEditor, onChange: toggleUseEditor }),
        React.createElement(EditorWrapper, { code: example, editorClassName: classNames.component, previewProps: { className: classNames.preview }, useEditor: useEditor, supportedPackages: SUPPORTED_PACKAGES })));
};
//# sourceMappingURL=App.js.map