import { getWindow } from '@fluentui/react/lib/Utilities';
/**
 * Gets a query parameter value
 * @param name Query parameter name
 * @param url URL (defaults to window.location.href)
 */
export function getQueryParam(name, url) {
    var win = getWindow();
    url = url || (win ? win.location.href : '');
    // Manually get the query string in case it's after the hash (possible with hash routing)
    var queryIndex = url.indexOf('?');
    // eslint-disable-next-line @typescript-eslint/no-deprecated
    var query = queryIndex !== -1 ? url.substr(queryIndex) : '';
    var regex = new RegExp("[?&]".concat(name, "(=([^&#]*)|&|#|$)"));
    var match = query.match(regex);
    if (match) {
        return decodeURIComponent((match[2] || '').replace(/\+/g, ' '));
    }
    return null;
}
//# sourceMappingURL=getQueryParam.js.map